ioctx_on_thread_pool.hpp File Reference
`#include <thread>`
`#include <restinio/asio_include.hpp>`
`#include <restinio/exception.hpp>`

Go to the source code of this file.

## Classes

class | restinio::impl::own_io_context_for_thread_pool_t
| A class for holding actual instance of Asio's io_context. More...
class | restinio::impl::external_io_context_for_thread_pool_t
| A class for holding a reference to external Asio's io_context. More...
class | restinio::impl::ioctx_on_thread_pool_t< Io_Context_Holder >

## Namespaces

namespace | restinio
namespace | restinio::impl